package com.mvc.dao;

import com.mvc.entity.TAlarmRecord;
import com.mvc.entity.TAlarmRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TAlarmRecordMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    long countByExample(TAlarmRecordExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int deleteByExample(TAlarmRecordExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int insert(TAlarmRecord record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int insertSelective(TAlarmRecord record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    List<TAlarmRecord> selectByExample(TAlarmRecordExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    TAlarmRecord selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int updateByExampleSelective(@Param("record") TAlarmRecord record, @Param("example") TAlarmRecordExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int updateByExample(@Param("record") TAlarmRecord record, @Param("example") TAlarmRecordExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int updateByPrimaryKeySelective(TAlarmRecord record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-31 16:14:03
     */
    int updateByPrimaryKey(TAlarmRecord record);
}